Services
Add, remove and list Services in a your organization.
Add Service
/service
Add a Service to the given organization.
Requires a bearer access token for this API with the Organization.Service.Write permission. See Authentication.
Request body
Option 1: one of
Option 2: object
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/v1/service" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "activated": true, "detail": { "description": "string", "name": "string" }, "id": "string", "address": { "hostName": "string", "port": 0 }, "computer": { "id": "00000000-0000-0000-0000-000000000000", "name": "string" }, "type": "host" }'
Add or Update an Service
/service
Update a Service in the given organization, or add a new one if none exists.
Requires a bearer access token for this API with the Organization.Service.Write permission. See Authentication.
Request body
Option 1: object
Option 2: object
Option 3: object
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PUT "https://connect.cambrionix.com/api/v1/service" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "activated": true, "detail": { "description": "string", "name": "string" }, "entity": { "id": "string" }, "id": "string", "address": { "hostName": "string", "port": 0 }, "computer": { "id": "00000000-0000-0000-0000-000000000000", "name": "string" }, "type": "host", "organization": { "id": "string", "name": "string" }, "secret": "string" }'
Update Service
/service
Update a Service in the given organization.
Requires a bearer access token for this API with the Organization.Service.Write permission. See Authentication.
Request body
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/v1/service" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "activated": true, "address": { "hostName": "string", "port": 0 }, "detail": { "description": "string", "name": "string" }, "id": "string" }'
Get Services
/services
List the organization's services: local Hub API, device, recorder, relay and workflow services on each computer, plus custom and remote API services.
Requires a bearer access token for this API with the Organization.Service.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/services" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Service
/services/{serviceId}
Get one organization service by id.
Requires a bearer access token for this API with the Organization.Service.Read permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/services/{serviceId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update Service
/services/{serviceId}
Update a Service by id.
Requires a bearer access token for this API with the Organization.Service.Write permission. See Authentication.
Parameters
Path parameter
Request body
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/v1/services/{serviceId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "activated": true, "address": { "hostName": "string", "port": 0 }, "detail": { "description": "string", "name": "string" } }'
Delete Service
/services/{serviceId}
Delete a Service by id.
Requires a bearer access token for this API with the Organization.Service.Delete permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/v1/services/{serviceId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Create Service Secret
/services/{serviceId}/secret
Create a new secret for a service. The secret is returned in the response.
Requires a bearer access token for this API with the Organization.Service.Secret.Write permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/v1/services/{serviceId}/secret" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get All Service Secrets
/services/{serviceId}/secrets
Get all API service secrets (metadata only, not the actual secret values).
Requires a bearer access token for this API with the Organization.Service.Secret.Read permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/services/{serviceId}/secrets" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Delete Service Secret
/services/{serviceId}/secrets/{secretId}
Delete a specific service secret by ID.
Requires a bearer access token for this API with the Organization.Service.Secret.Write permission. See Authentication.
Parameters
Path parameter
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/v1/services/{serviceId}/secrets/{secretId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"